MySQL Enterprise Backup (MEB) 4.0.2 And Later Backing Up MySQL Server 5.7.11 Without Using Transparent Data Encryption (TDE) Fails: "mysqlbackup: ERROR: Invalid options, MEB would not be able backup encrypted tables." (Doc ID 2168248.1)

Last updated on MAY 02, 2017

Applies to:

MySQL Enterprise Backup - Version 4.0 and later
Information in this document applies to any platform.

Symptoms

When trying to backup a MySQL Server instance version 5.7.11 that does not have Transparent Data Encryption (TDE) explicitly enabled (early-plugin-load = keyring_file.so or early-plugin-load = keyring_file.dll is not set in the MySQL configuration file), the backup fails with the error:

 

Changes

This can start to occur after one or more of the following changes:

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms